package com.ruoyi.interfaces.domain;

public class PtDataImp {
    private String id;
    private String name;
    private String cate;
    private String type;
    private String rule;
    private String source;
    private String wimpl;
    private Integer startRow;
    private Integer startCol;
    private Integer endRow;
    private Integer endCol;
    private String note;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCate() {
        return cate;
    }

    public void setCate(String cate) {
        this.cate = cate;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRule() {
        return rule;
    }

    public void setRule(String rule) {
        this.rule = rule;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getWimpl() {
        return wimpl;
    }

    public void setWimpl(String wimpl) {
        this.wimpl = wimpl;
    }

    public Integer getStartRow() {
        return startRow;
    }

    public void setStartRow(Integer startRow) {
        this.startRow = startRow;
    }

    public Integer getStartCol() {
        return startCol;
    }

    public void setStartCol(Integer startCol) {
        this.startCol = startCol;
    }

    public Integer getEndRow() {
        return endRow;
    }

    public void setEndRow(Integer endRow) {
        this.endRow = endRow;
    }

    public Integer getEndCol() {
        return endCol;
    }

    public void setEndCol(Integer endCol) {
        this.endCol = endCol;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public PtDataImp(String id, String name, String cate, String type, String rule, String source, String wimpl, Integer startRow, Integer startCol, Integer endRow, Integer endCol, String note) {
        this.id = id;
        this.name = name;
        this.cate = cate;
        this.type = type;
        this.rule = rule;
        this.source = source;
        this.wimpl = wimpl;
        this.startRow = startRow;
        this.startCol = startCol;
        this.endRow = endRow;
        this.endCol = endCol;
        this.note = note;
    }

    public PtDataImp() {
        super();

    }

    @Override
    public String toString() {
        return "PtDatImp{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", cate='" + cate + '\'' +
                ", type='" + type + '\'' +
                ", rule='" + rule + '\'' +
                ", source='" + source + '\'' +
                ", wimpl='" + wimpl + '\'' +
                ", startRow=" + startRow +
                ", startCol=" + startCol +
                ", endRow=" + endRow +
                ", endCol=" + endCol +
                ", note='" + note + '\'' +
                '}';
    }
}
